petsc-3.6.2 2015-10-02
Report Typos and Errors

# PetscMallocSet

Sets the routines used to do mallocs and frees. This routine MUST be called before PetscInitialize() and may be called only once.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscMallocSet(PetscErrorCode (*imalloc)(size_t,int,const char[],const char[],void**),
                                                  PetscErrorCode (*ifree)(void*,int,const char[],const char[]))

Not Collective

### Input Parameters

| malloc | - the malloc routine
| free | - the free routine

Level:developer
Location:src/sys/memory/mal.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages